JavaAwareResolveVisitor (groovy 2.5.0 API)
Date: 2018-05-27

Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaAwareResolveVisitor

- org.codehaus.groovy.tools.javac.JavaAwareResolveVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ResolveVisitor` | `DEFAULT_IMPORTS, QUESTION_MARK`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaAwareResolveVisitor (CompilationUnit cu)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addError(String msg, ASTNode expr)`
    `` | `protected void` | `visitClassCodeContainer(Statement code)`
    `` | `void` | `visitConstructor(ConstructorNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ResolveVisitor` | `ResolveVisitor, getSourceUnit, setClassNodeResolver, startResolving, transform, transformAnnotationConstantExpression, transformBinaryExpression, transformClosureExpression, transformConstructorCallExpression, transformDeclarationExpression, transformMethodCallExpression, transformPropertyExpression, transformVariableExpression, visitAnnotations, visitBlockStatement, visitCatchStatement, visitClass, visitConstructorOrMethod, visitField, visitForLoop, visitProperty`
    `class ClassCodeExpressionTransformer` | `transform, visitAnnotations, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaAwareResolveVisitor(CompilationUnit cu)

  - ### Method Detail

    - #### public void addError(String msg, ASTNode expr)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### @Override public void visitConstructor(ConstructorNode node)